org.springframework.data.convert

## Interface TypeInformationMapper

All Known Implementing Classes:
  ConfigurableTypeInformationMapper, MappingContextTypeInformationMapper, SimpleTypeInformationMapper

    public interface TypeInformationMapper

Interface to abstract the mapping from a type alias to the actual type.

Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`Alias` `createAliasFor(TypeInformation<?> type)` Returns the alias to be used for the given `TypeInformation`.
`TypeInformation<?>` `resolveTypeFrom(Alias alias)` Returns the actual `TypeInformation` to be used for the given alias.

### Method Detail

#### resolveTypeFrom

    @Nullable
    TypeInformation<?> resolveTypeFrom(Alias alias)

Returns the actual `TypeInformation` to be used for the given alias.

Parameters:
  `alias` - must not be null.
Returns:

#### createAliasFor

    Alias createAliasFor(TypeInformation<?> type)

Returns the alias to be used for the given `TypeInformation`.

Parameters:
  `type` - must not be null.
Returns: